summaryrefslogtreecommitdiffstats
path: root/source/l/fuse3/fuse3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/fuse3/fuse3.SlackBuild')
-rwxr-xr-xsource/l/fuse3/fuse3.SlackBuild9
1 files changed, 7 insertions, 2 deletions
diff --git a/source/l/fuse3/fuse3.SlackBuild b/source/l/fuse3/fuse3.SlackBuild
index 20a718a76..7a85f8c28 100755
--- a/source/l/fuse3/fuse3.SlackBuild
+++ b/source/l/fuse3/fuse3.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright (c) 2008, Antonio Hernandez Blas <hba.nihilismus@gmail.com>
-# Copyright 2008, 2009, 2010, 2011, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fuse3
SRCNAM=fuse
VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -80,6 +80,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# We don't include LSB cruft, so check to see if the LSB init-functions
+# file exists before sourcing it. On another note, I've never found any
+# reason to actually run this init script. FUSE works fine without it.
+zcat $CWD/rc.fuse3.no.source.lsb.init-functions.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"